Name:           synce-connector
Version:        0.15.2
Release:        13%{?dist}
Summary:        Connection framework and dccm-implementation

Group:          Applications/Communications
License:        GPLv2
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/%{name}-%{version}.tar.gz
# upstream fix hal-dccm -> dccm
# http://synce.svn.sourceforge.net/viewvc/synce/trunk/connector/scripts/synceconnector.py.in?view=patch&r1=3928&r2=4013&sortby=date
Patch0:         synce-connector-hal-dccm.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsynce-devel >= 0.11
BuildRequires:  dbus-glib-devel
BuildRequires:  libgudev1-devel
BuildRequires:  gnet2-devel
BuildRequires:  ppp dhclient net-tools

Requires: ppp
Requires: dhclient
Requires: net-tools
Requires: python

Obsoletes: vdccm <= 0.10.1
Provides: vdccm = %{version}-%{release}
Obsoletes: vdccm-devel <= 0.10.1
Provides: vdccm-devel = %{version}-%{release}

Obsoletes: odccm <= 0.11.1
Provides: odccm = %{version}-%{release}

Obsoletes: synce-hal <= 0.15
Provides: synce-hal = %{version}-%{release}

Obsoletes: synce-serial <= 0.11
Provides: synce-serial = %{version}-%{release}

%description
Synce-connector is a connection framework and dccm-implementation 
for Windows Mobile devices that integrates with HAL or udev.

%prep
%setup -q
%patch0 -p2 -b.haldccm

%build
%configure --enable-udev --enable-bluetooth-support
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README TODO COPYING AUTHORS ChangeLog
%{_bindir}/synce-unlock
%{_bindir}/synce-serial
%{_libexecdir}/dccm
%{_libexecdir}/synce-serial-chat
# ppp
%{_sysconfdir}/ppp/ip-up.d/synce-udev-bt-ipup
%config(noreplace) %{_sysconfdir}/ppp/peers/synce-bt-peer
# udev
%{_prefix}/lib/udev/rules.d/85-synce.rules
%{_prefix}/lib/udev/synce-udev-*
# dbus
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.synce.dccm.conf
%{_datadir}/dbus-1/system-services/org.synce.dccm.service
%{_datadir}/synce-connector

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 27 2013 Till Maas <opensource@till.name> - 0.15.2-9
- Fix udev files path in %%files

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 30 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.2-4
- obsolete vdccm-devel as well

* Mon Aug 22 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.2-3
- require python for udev scripts
- macro cleanups

* Fri Jul 15 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.2-2
- mark dbus conf as %%config(noreplace)
- install peer file with default permissions
- pull upstream fix for dccm naming

* Mon May 23 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.2-1
- version upgrade

* Tue Feb 22 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.1-2
- mark peer as config

* Mon Feb 14 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.1-1
- Initial version
- Obsolete old packages synce-serial, vdccm, odccm, synce-hal
  (fixes #498409, #498410, #520875, #582365)
